# ExcludeArch: ia64 alpha
%define type x11
%if "%{type}" == "x11"
%define qtdir %{_libdir}/qt-%{version}
%else
%define qtdir %{_libdir}/qt-%{type}-%{version}
ExcludeArch: ia64
%endif
%define rel 11
%define beta %{nil}
# buildstatic: Build libs for static linking
%define buildstatic 1
# buildnomt: Build libs without threading support
%define buildnomt 0
Version: 3.0.3
%define sover 3.0.3
%define styleplugins 0

%if %{styleplugins}
%define plugins	-plugin-sql-mysql -plugin-sql-psql -plugin-sql-odbc -plugin-style-cde -plugin-style-motifplus -plugin-style-platinum -plugin-style-sgi -plugin-style-windows -plugin-style-compact -plugin-style-interlace -plugin-style-common -qt-imgfmt-png -qt-imgfmt-jpeg -qt-imgfmt-mng
%else
%define plugins	-plugin-sql-mysql -plugin-sql-psql -plugin-sql-odbc -qt-style-cde -qt-style-motifplus -qt-style-platinum -qt-style-sgi -qt-style-windows -qt-style-compact -qt-style-interlace -qt-style-common -qt-imgfmt-png -qt-imgfmt-jpeg -qt-imgfmt-mng
%endif

%if "%{type}" == "x11"
Summary: The shared library for the Qt GUI toolkit.
%elseif "%{type}" == "embedded"
Summary: The shared library for the Qt GUI toolkit for framebuffer devices.
%elseif "%{type}" == "nox"
Summary: The shared library for the Qt GUI toolkit.
%endif
%if "%{type}" == "nox"
%define file embedded
%else
%define file %{type}
%endif
%if "%{type}" == "x11"
Name: qt
BuildRequires: XFree86-devel >= 4.0.2
%else
Name: qt-%{type}
%endif
BuildRequires: cups-devel
%if "%{beta}" == ""
Release: %{rel}
Source: ftp://ftp.troll.no/qt/source/qt-%{file}-free-%{version}.tar.bz2
%else
Release: 0.%{beta}.%{rel}
Source: ftp://ftp.troll.no/qt/source/qt-%{file}-free-%{version}-%{beta}.tar.bz2
%endif
Patch1: qt-3.0.1-gcc31dlopen.patch
Patch2: qt-3.0.2-cups.patch
Patch3: qt-3.0.3-gb18030-noarch.patch
Patch4: qt-3.0.3-qpsprinter.patch
Patch5: qt-3.0.3-qtcopy.patch
Patch6: qt-3.0.3-fixes.patch
Patch7: qt-3.0.3-translation.patch
Patch8: qt-3.0.3-nodebug.patch
# Patches 100-200 are for Qt-x11 only
Patch100: qt-3.0.2-glweak.patch
Patch101: qt-3.0.3-gb18030-x11.patch
Patch102: qt-3.0.3-xim.patch
# Patches 200-300 are for Qt-embedded only
Patch200: qt-nox-3.0.2-gcc31.patch
Epoch: 1
URL: http://www.troll.no/
License: GPL/QPL
Group: System Environment/Libraries
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/ldconfig
Prefix: %{qtdir}
BuildRequires: gcc-c++, libstdc++, libstdc++-devel, libmng-devel, glibc-devel, libjpeg-devel, libpng-devel, zlib-devel, libungif-devel
%if %{buildstatic}
BuildRequires: libmng-static
%endif
# db plugins...
BuildRequires: postgresql-devel mysql-devel unixODBC-devel
Conflicts: qt2 < 2.3.1-1
Obsoletes: qt3
Provides: qt3 libqt.so.3
Source900: gccver.c

%package devel
%if "%{type}" == "x11"
Summary: Development files and documentation for the Qt GUI toolkit.
%elseif "%{type}" == "embedded"
Summary: Development files and documentation for the Qt GUI toolkit for framebuffer devices.
%elseif "%{type}" == "nox"
Summary: Development files and documentation for the Qt GUI toolkit.
%endif
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: qt3-devel
Provides: qt3-devel

%if "%{type}" == "x11"
%package Xt
Summary: An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: qt3-Xt
Provides: qt3-Xt
%endif

%package styles
Summary: Extra styles for the Qt GUI toolkit.
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Obsoletes: qt3-styles
Provides: qt3-styles

%package ODBC
Summary: ODBC drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: qt3-ODBC
Provides: qt3-ODBC

%package MySQL
Summary: MySQL drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: qt3-MySQL
Provides: qt3-MySQL

%package PostgreSQL
Summary: PostgreSQL drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: qt3-PostgreSQL
Provides: qt3-PostgreSQL

%if %{buildstatic}
%package static
%if "%{type}" == "x11"
Summary: Version of the Qt GUI toolkit for static linking
%elseif "%{type}" == "embedded"
Summary: Version of the Qt GUI toolkit for framebuffer devices for static linking
%elseif "%{type}" == "nox"
Summary: Version of the Qt GUI toolkit for fb devices for static linking, with RTTI
%endif
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Obsoletes: qt3-static
Provides: qt3-static
%endif

%package designer
%if "%{type}" == "x11"
Summary: Interface designer (IDE) for the Qt toolkit
%elseif "%{type}" == "embedded"
Summary: Interface designer (IDE) for the Qt toolkit for framebuffer devices
%elseif "%{type}" == "nox"
Summary: Interface designer (IDE) for the Qt toolkit
%endif
Group: Development/Tools
Requires: %{name}-devel = %{version}-%{release}
Obsoletes: qt3-designer

%if "%{type}" == "x11"
%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications
for the X Window System.

Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run qt
applications, as well as the README files for qt.

%else
%description
%endif
%if "%{type}" == "x11"
%description devel
The qt-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt meta
object compiler, the man pages, the HTML documentation and example
programs. See http://www.trolltech.com/products/qt.html for more
information about Qt, or look at
/usr/share/doc/qt-devel-3.0.0/html/index.html, which provides Qt
documentation in HTML format.

Install qt-devel if you want to develop GUI applications using the Qt
toolkit.

%{_docdir}/%{name}-devel-%{version}/html/index.html, which
%else
%description devel
The qt-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt meta
object compiler, the man pages, the HTML documentation and example
programs. See http://www.trolltech.com/products/qt.html for more
information about Qt, or look at
/usr/share/doc/qt-devel-3.0.0/html/index.html, which provides Qt
documentation in HTML format.

Install qt-devel if you want to develop GUI applications using the Qt
toolkit.

%{_docdir}/%{name}-devel-%{version}/html/index.html, which
%endif

%if "%{type}" == "x11"
%description Xt
An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit.
%endif

%if %{buildstatic}
%description static
Version of the Qt library for static linking
%endif

%description styles
Extra styles (themes) for the Qt GUI toolkit.


%description ODBC
ODBC driver for Qt's SQL classes (QSQL)


%description MySQL
MySQL driver for Qt's SQL classes (QSQL)


%description PostgreSQL
PostgreSQL driver for Qt's SQL classes (QSQL)


%description designer
The qt-designer package contains an User Interface designer tool
for the Qt toolkit.

%prep
%if "%{beta}" == ""
%setup -q -n qt-%{file}-free-%{version}
%else
%setup -q -n qt-%{file}-free-%{version}-%{beta}
%endif
if gcc --version |grep -q Copyright; then
# gcc >= 3.0 can handle and actually need -O2 in qmake.
# gcc >= 3.0 also display a copyright message on --version.
# Older versions don't.
perl -pi -e "s,\@QMAKE_CFLAGS\@,\@QMAKE_CFLAGS\@ -O2,g" qmake/GNUmakefile.in
fi
%patch1 -p1 -b .gcc31dlopen
%patch2 -p1 -b .cups
%patch3 -p1 -b .gb18030
%patch4 -p1 -b .psprinter
%patch5 -p1 -b .qtcopy
%patch6 -p1 -b .cvsfix
%patch7 -p1 -b .trans
%patch8 -p1 -b .ndebug
ln -s ../src/codecs/qgb18030codec.h include
%if "%{type}" == "x11"
%patch100 -p1 -b .glweak
%patch101 -p1 -b .gb18030-x11
%patch102 -p1 -b .xim
%else
%patch200 -p1 -b .gcc31
%endif
%if "%{type}" == "nox"
find . -type f |xargs perl -pi -e "s,-fno-rtti,-frtti,g" # We want to compile kdelibs...
%endif
[ -f Makefile.cvs ] && make -f Makefile.cvs # this is for qt-copy in KDE CVS

%build
find . -type d -name CVS | xargs rm -rf
export QTDIR=`/bin/pwd`
export LD_LIBRARY_PATH="$QTDIR/lib:$LD_LIBRARY_PATH"
export PATH="$QTDIR/bin:$PATH"
OPTFLAGS=`echo $RPM_OPT_FLAGS |sed -e s/-fno-rtti/-frtti/`
gcc -o gccver %{SOURCE900}

export QTDEST=%{_libdir}/qt3-gcc`./gccver -v`

perl -pi -e "s,-O2,-I/usr/include/freetype2 $OPTFLAGS -fno-exceptions,g" mkspecs/*/qmake.conf

%if %buildnomt
# build shared, nonthreaded libraries
echo yes |./configure -prefix $QTDEST -release -shared -qt-gif \
  -system-zlib -system-libpng -system-libmng -system-libjpeg \
  -no-g++-exceptions -enable-tools -enable-kernel -enable-widgets \
  -enable-dialogs -enable-iconview -enable-workspace -enable-network \
  -enable-canvas -enable-table -enable-xml -enable-sql -qt-style-motif \
  %{plugins} \
  -stl -no-thread \
%if "%{type}" == "x11"
  -sm -xinerama -xrender -xft -xkb
%else
  -accel-voodoo3 -accel-mach64 -accel-matrox -qvfb -vnc \
  -depths v,4,8,16,24,32
%endif

make symlinks src-qmake %{?_smp_mflags}
cd plugins/src/sqldrivers/psql
qmake -o Makefile "INCLUDEPATH+=/usr/include/pgsql /usr/include/pgsql/server /usr/include/pgsql/internal" "LIBS+=-lpq" psql.pro
cd ../mysql
qmake -o Makefile "INCLUDEPATH+=/usr/include/mysql" "LIBS+=-L/usr/lib/mysql -lmysqlclient" mysql.pro
cd ../odbc
qmake -o Makefile "LIBS+=-lodbc" odbc.pro
cd ../../../..
make CC="gcc -fPIC" CXX="g++ -fPIC" src-moc sub-src %{?_smp_mflags}
%endif

# build shared, threaded (default) libraries
echo yes |./configure -prefix $QTDEST -release -shared -qt-gif \
  -system-zlib -system-libpng -system-libmng -system-libjpeg \
  -no-g++-exceptions -enable-tools -enable-kernel -enable-widgets \
  -enable-dialogs -enable-iconview -enable-workspace -enable-network \
  -enable-canvas -enable-table -enable-xml -enable-sql -qt-style-motif \
  %{plugins} \
  -stl -thread \
%if "%{type}" == "x11"
  -sm -xinerama -xrender -xft -xkb
%else
  -accel-voodoo3 -accel-mach64 -accel-matrox -qvfb -vnc \
  -depths v,4,8,16,24,32
%endif
make symlinks

make src-qmake %{?_smp_mflags}
%if "%{type}" != "x11"
# Work around qmake bug
perl -pi -e "s,-lqte-mt,," src/Makefile
%endif
cd plugins/src/sqldrivers/psql
qmake -o Makefile "INCLUDEPATH+=/usr/include/pgsql /usr/include/pgsql/server /usr/include/pgsql/internal" "LIBS+=-lpq" psql.pro
cd ../mysql
qmake -o Makefile "INCLUDEPATH+=/usr/include/mysql" "LIBS+=-L/usr/lib/mysql -lmysqlclient" mysql.pro
cd ../odbc
qmake -o Makefile "LIBS+=-lodbc" odbc.pro
cd ../../../..
make %{?_smp_mflags} src-moc
make CC="gcc -fPIC" CXX="g++ -fPIC" sub-src
make %{?_smp_mflags} sub-tools
%if "%{type}" == "x11"
make CC="gcc -fPIC" CXX="g++ -fPIC" -C extensions/xt/src %{?_smp_mflags}
%else
for i in designer linguist assistant qtconfig; do
	make -C tools/$i %{?_smp_mflags}
done
%endif

cp -aR lib lib-bld
cp -aR bin bin-bld
make clean
rm -rf lib bin
mv lib-bld lib
mv bin-bld bin

%if %{buildstatic}
# build static libraries, if requested.
# don't build examples, tools and tutorials with static libraries here
echo yes |./configure -prefix $QTDEST -release -static -qt-gif \
  -system-zlib -system-libpng -system-libmng -system-libjpeg \
  -no-g++-exceptions -enable-tools -enable-kernel -enable-widgets \
  -enable-dialogs -enable-iconview -enable-workspace -enable-network \
  -enable-canvas -enable-table -enable-xml -enable-sql -qt-style-motif \
  %{plugins} \
  -stl -thread \
%if "%{type}" == "x11"
  -enable-opengl -sm -xinerama -xrender -xft -xkb
%else
  -accel-voodoo3 -accel-mach64 -accel-matrox -qvfb -vnc \
  -depths v,4,8,16,24,32
%endif
make CC="gcc -fPIC" CXX="g++ -fPIC" symlinks src-qmake src-moc sub-src %{?_smp_mflags}
%endif

%install
rm -rf $RPM_BUILD_ROOT
export QTDIR=`/bin/pwd`
export QTDEST=%{_libdir}/qt3-gcc`./gccver -v`
export LD_LIBRARY_PATH="$QTDIR/lib:$LD_LIBRARY_PATH"
export PATH="$QTDIR/bin:$PATH"

mkdir -p $RPM_BUILD_ROOT%{qtdir}/{bin,include,lib}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man3}

# strip binaries
rm -f bin/*.bat
for i in bin/*; do
  strip -R .comment $i || :
done

# install tools and libraries
rm bin/qmake
cp -fL qmake/qmake bin
for i in bin/*; do
	cp -fL $i $RPM_BUILD_ROOT/%{qtdir}/bin
	chmod 0755 $RPM_BUILD_ROOT/%{qtdir}/$i
done
cp -aR lib/* $RPM_BUILD_ROOT/%{qtdir}/lib
cp -aR plugins $RPM_BUILD_ROOT/%{qtdir}

%if "%{type}" == "x11"
if [ -e $RPM_BUILD_ROOT%{qtdir}/lib/libqt.so.%{sover} ]; then
	ln -sf libqt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqt.so.3.0
	ln -sf libqt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqt.so.3
	ln -sf libqt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqt.so
else
	ln -sf libqt-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqt.so.%{sover}
	ln -sf libqt-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqt.so.3.0
	ln -sf libqt-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqt.so.3
	ln -sf libqt-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqt.so
fi
ln -sf libqt-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqt-mt.so.3.0
ln -sf libqt-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqt-mt.so.3
ln -sf libqt-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqt-mt.so
%else
if [ -e $RPM_BUILD_ROOT%{qtdir}/lib/libqte.so.%{sover} ]; then
	ln -sf libqte.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqte.so.3.0
	ln -sf libqte.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqte.so.3
	ln -sf libqte.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqte.so
else
	ln -sf libqte-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqte.so.%{sover}
	ln -sf libqte-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqte.so.3.0
	ln -sf libqte-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqte.so.3
	ln -sf libqte-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqte.so
fi
ln -sf libqte-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqte-mt.so.3.0
ln -sf libqte-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqte-mt.so.3
ln -sf libqte-mt.so.%{sover} $RPM_BUILD_ROOT%{qtdir}/lib/libqte-mt.so
%endif
ln -sf libqui.so.1.0.0 $RPM_BUILD_ROOT%{qtdir}/lib/libqui.so.1.0
ln -sf libqui.so.1.0.0 $RPM_BUILD_ROOT%{qtdir}/lib/libqui.so.1
ln -sf libqui.so.1.0.0 $RPM_BUILD_ROOT%{qtdir}/lib/libqui.so
ln -sf libeditor.so.1.0.0 $RPM_BUILD_ROOT%{qtdir}/lib/libeditor.so.1.0
ln -sf libeditor.so.1.0.0 $RPM_BUILD_ROOT%{qtdir}/lib/libeditor.so.1
ln -sf libeditor.so.1.0.0 $RPM_BUILD_ROOT%{qtdir}/lib/libeditor.so
%if "%{type}" == "x11"
ln -sf libqxt.so.0.3.0 $RPM_BUILD_ROOT%{qtdir}/lib/libqxt.so.0.3
ln -sf libqxt.so.0.3.0 $RPM_BUILD_ROOT%{qtdir}/lib/libqxt.so.0
ln -sf libqxt.so.0.3.0 $RPM_BUILD_ROOT%{qtdir}/lib/libqxt.so
%endif

# install man pages
cp -fR doc/man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1
cp -fR doc/man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3
rm -rf doc/man

%if "%{type}" != "x11"
# Rename man pages, we don't want to conflict with the x11 Qt
for i in $RPM_BUILD_ROOT%{_mandir}/man1/*; do
	mv $i `echo $i |sed -e "s/\.1/-%{type}.1/"`
done
for i in $RPM_BUILD_ROOT%{_mandir}/man3/*; do
	mv $i `echo $i |sed -e "s/\.3/-%{type}.3/"`
done
%endif

# clean up
make -C tutorial clean
make -C examples clean
find examples -name Makefile | xargs perl -pi -e 's|\.\./\.\.|\$\(QTDIR\)|'
find examples -type f -perm 755 | xargs strip -R .comment || :
find tutorial -name Makefile | xargs perl -pi -e 's|\.\./\.\.|\$\(QTDIR\)|'
find tutorial -type f -perm 755 | xargs strip -R .comment || :

# Make sure the examples can be built outside the source tree.
# Our binaries fulfill all requirements, so...
perl -pi -e "s,^DEPENDPATH.*,,g;s,^REQUIRES.*,,g" `find examples -name "*.pro"`

for a in */*/Makefile ; do
  sed 's|^SYSCONF_MOC.*|SYSCONF_MOC		= %{qtdir}/bin/moc|' < $a > ${a}.2
  mv -v ${a}.2 $a
done

# Get rid of windows or mac specific links
for i in include/* include/*/*; do [ -e $i ] || rm $i; done

cp -frL include/* $RPM_BUILD_ROOT%{qtdir}/include
%if "%{type}" != "x11"
cp -RL lib/fonts $RPM_BUILD_ROOT%{qtdir}/lib
%endif

%if "%{type}" == "embedded" || "%{type}" == "nox"
cp -aRL etc $RPM_BUILD_ROOT%{qtdir}
%endif

%if "%{type}" == "x11"
ln -s qt-%{version} $RPM_BUILD_ROOT%{_libdir}/qt3
ln -s qt-%{version} $RPM_BUILD_ROOT$QTDEST

QT_DIR=`basename $QTDEST`

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cat > $RPM_BUILD_ROOT/etc/profile.d/qt.sh <<EOF
# Qt initialization script (sh)
if [ -z "\$QTDIR" ] ; then
	QTDIR="%{_libdir}/$QT_DIR"
fi
export QTDIR
EOF

chmod 755 $RPM_BUILD_ROOT/etc/profile.d/qt.sh

cat > $RPM_BUILD_ROOT/etc/profile.d/qt.csh <<EOF
# Qt initialization script (csh)
if ( \$?QTDIR ) then
         exit
endif
setenv QTDIR %{_libdir}/$QT_DIR
EOF

chmod 755 $RPM_BUILD_ROOT/etc/profile.d/qt.csh
%endif

mkdir -p $RPM_BUILD_ROOT/usr/bin
%if "%{type}" == "x11"
for i in bin/*; do
	ln -s ../lib/$QT_DIR/bin/`basename $i` $RPM_BUILD_ROOT/%{_bindir}
	ln -s `basename $i` $RPM_BUILD_ROOT/usr/bin/`basename $i`3
done
%else
for i in bin/*; do
	ln -s ../lib/$QT_DIR/bin/`basename $i` $RPM_BUILD_ROOT/%{_bindir}/`basename $i`-%{type}
	ln -s `basename $i`-%{type} $RPM_BUILD_ROOT/usr/bin/`basename $i`-%{type}3
done
%endif

# make symbolic link to qt docdir
if echo %{_docdir} | grep  share >& /dev/null ; then
  ln -s  ../../share/doc/%{name}-devel-%{version} $RPM_BUILD_ROOT%{qtdir}/doc
else
  ln -s  ../../doc/%{name}-devel-%{version} $RPM_BUILD_ROOT%{qtdir}/doc
fi

# Add desktop file
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Development
cat >$RPM_BUILD_ROOT/etc/X11/applnk/Development/designer.desktop <<EOF
[Desktop Entry]
BinaryPattern=designer;
Comment=Qt 3.0 Interface Designer
Exec=designer
Icon=designer
InitialPreference=5
MapNotify=true
MimeType=application/x-designer
Name=Qt 3.0 Designer
Terminal=false
Type=Application
EOF

# Sane default settings
mkdir -p $RPM_BUILD_ROOT%{qtdir}/etc/settings
cat >$RPM_BUILD_ROOT%{qtdir}/etc/settings/qtrc <<EOF
[General]
libraryPath=/usr/lib/kde3/plugins
style=HighColor
EOF

# Ship qmake stuff
cp -aR mkspecs $RPM_BUILD_ROOT%{qtdir}

# Patch qmake to use qt-mt unconditionally
perl -pi -e "s,-lqt ,-lqt-mt ,g;s,-lqt$,-lqt-mt,g" $RPM_BUILD_ROOT%{qtdir}/mkspecs/*/qmake.conf

%clean
###FIXME rm -rf $RPM_BUILD_ROOT

%post
%if "%{type}" == "x11"
grep -v '^%{_libdir}/qt-3' /etc/ld.so.conf >/etc/ld.so.conf.new
mv -f /etc/ld.so.conf.new /etc/ld.so.conf
%else
grep -v '^%{_libdir}/qt-%{type}-3' /etc/ld.so.conf >/etc/ld.so.conf.new
mv -f /etc/ld.so.conf.new /etc/ld.so.conf
%endif
echo "%{qtdir}/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
  grep -v '^%{qtdir}/lib$' /etc/ld.so.conf > /etc/ld.so.conf.new 2>/dev/null
  mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%triggerpostun -- qt < 2.1.0-4.beta1
if ! grep -q '^%{qtdir}/lib$' /etc/ld.so.conf; then
  echo "%{qtdir}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%if "%{type}" == "x11"
%doc ANNOUNCE FAQ LICENSE.QPL PORTING README* changes*
%else
%doc README* changes*
%endif
%{_libdir}/qt3*
%dir %{qtdir}
%dir %{qtdir}/lib
%if "%{type}" == "x11"
%{qtdir}/lib/libqt.so.*
%{qtdir}/lib/libqt-mt.so.*
%else
%{qtdir}/lib/libqte.so.*
%{qtdir}/lib/libqte-mt.so.*
%endif
%{qtdir}/etc/settings/qtrc
%dir %{qtdir}/plugins
#%dir %{qtdir}/plugins/imageformats
#%{qtdir}/plugins/imageformats/*
%{qtdir}/lib/libqui.so.*
%{qtdir}/lib/libeditor.so.*
%if "%{type}" == "embedded" || "%{type}" == "nox"
%dir %{qtdir}/etc
%dir %{qtdir}/lib/fonts
%dir %{qtdir}/etc/sounds
%{qtdir}/lib/fonts/*
%{qtdir}/etc/sounds/*
%endif

%files devel
%defattr(-,root,root,-)
%if "%{type}" == "x11"
%attr(0755,root,root) %config /etc/profile.d/*
%endif
%{qtdir}/bin/moc
%{qtdir}/bin/uic
%{qtdir}/bin/findtr
%{qtdir}/bin/qt20fix
%{qtdir}/bin/qtrename140
%{qtdir}/bin/assistant
%{qtdir}/bin/qm2ts
%{qtdir}/bin/qmake
%{qtdir}/bin/qtconfig
%{qtdir}/include
%{qtdir}/doc
%{qtdir}/mkspecs
%if "%{type}" == "x11"
%{qtdir}/lib/libqt.so
%{qtdir}/lib/libqt-mt.so
%else
%{qtdir}/lib/libqte.so
%{qtdir}/lib/libqte-mt.so
%endif
%{qtdir}/lib/libqui.so
# %{_mandir}/*/*
%{_bindir}/assistant*
%{_bindir}/moc*
%{_bindir}/uic*
%{_bindir}/findtr*
%{_bindir}/qt20fix*
%{_bindir}/qtrename140*
%{_bindir}/qtconfig*
%{_bindir}/qmake*
%{_bindir}/qm2ts*

%doc doc/*
%doc examples
%doc tutorial

%if "%{type}" == "x11"
%post Xt -p /sbin/ldconfig
%postun Xt -p /sbin/ldconfig

%files Xt
%defattr(-,root,root,-)
%{qtdir}/lib/libqxt.so*
%endif

%if %{styleplugins}
%files styles
%defattr(-,root,root,-)
%dir %{qtdir}/plugins/styles
%{qtdir}/plugins/styles/*
%endif

%files ODBC
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlodbc*

%files PostgreSQL
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlpsql*

%files MySQL
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlmysql*

%if %{buildstatic}
%files static
%defattr(-,root,root,-)
%{qtdir}/lib/*.a
%endif

%files designer
%defattr(-,root,root,-)
%{_bindir}/designer*
%{_bindir}/linguist*
%{_bindir}/lrelease*
%{_bindir}/lupdate*
%dir %{qtdir}/plugins/designer
%{qtdir}/plugins/designer/*
%{qtdir}/bin/designer
%{qtdir}/bin/linguist
%{qtdir}/bin/lrelease
%{qtdir}/bin/lupdate
%config /etc/X11/applnk/Development/designer.desktop

%changelog
* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-11
- qt3-gcc2.96 should be in qt, not qt-devel

* Mon Apr 15 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-10
- Tweaks to allow parallel installations of Qt 3.x (gcc 2.96) and Qt 3.x
  (gcc 3.1)
- Fix up debug spewage at Qt designer startup

* Wed Apr 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-9
- Spec file fixes

* Wed Apr 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-8
- Get rid of non-threaded version, dlopen()'ing threaded code
  (like plugins) from non-threaded code is dangerous
- Add some fixes from qt-copy, fixing the ksplash crash some people
  have noticed on a first login
- Add translation fixes from CVS
- Patch example .pro files to build outside the Qt source tree (#63023)
- Fix various bugs

* Thu Apr 04 2002 Leon Ho <llch@redhat.com> 3.0.3-7
- fixes for CJK - qpsprinter
- fixes for CJK - gb18030

* Fri Mar 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-6
- Make sure it builds with both gcc 2.96 and 3.1

* Wed Mar 28 2002 Leon Ho <llch@redhat.com> 3.0.3-5
- fixes for CJK - qpsprinter

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-4
- Add CJK patches

* Tue Mar 26 2002 Than Ngo <than@redhat.com> 3.0.3-3
- fix loading kde styles

* Tue Mar 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-1
- Update to 3.0.3 final

* Thu Mar 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-0.cvs20020314.1
- Update to 3.0.3-pre, required for KDE3
- force -fPIC usage
- Remove conflict with qt2 < 2.3.2-1, the new qt2 2.3.1 is fixed and qt 2.3.2
  is broken
- Ship the qmake config files (so qmake works for building any 3rd party stuff,
  e.g. aethera)

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-2
- Add some fixes from KDE's qt-copy CVS
- Pluginize image formats

* Mon Feb 25 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-1
- 3.0.2 final

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020118.3
- Add GB18030 codec patch, #60034
- Force-build jpeg support, fixing #59775 and #59795

* Sat Jan 26 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020118.2
- Build with CUPS support

* Fri Jan 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020118.1
- Fix up /usr/bin/moc links, they should point to qt3

* Mon Jan 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020114.1
- Build styles directly into the main library for now, there's too much broken
  code out there depending on this ATM.

* Wed Jan  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020109.1
- Stop excluding alpha, gcc has been fixed

* Tue Jan  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020108.1
- Add fixes from CVS; this fixes the "Alt + F1, arrow up, arrow up doesn't work
  in KDE" bug

* Mon Dec 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-2
- Fix up settings search path
- Add default qtrc allowing to use KDE 3.x Qt plugins
- Make sure QLibrary uses RTLD_GLOBAL when dlopen()ing libraries

* Thu Dec 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.1.0-1
- Work around gcc bug #57467

* Wed Dec 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.0.1 final

* Mon Dec 10 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-0.cvs20011210.1
- Update to current (needed by KDE 3.x)
- Rebuild with current libstdc++
- Temporarily disable building on alpha
- Fix build with PostgreSQL 7.2

* Mon Nov 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-5
- Fix up glweak

* Mon Nov  5 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Give designer, uic, moc, etc. their real names - the qt2 versions
  have been renamed in qt2-2.3.2-1.
  Conflict with qt2 < 2.3.2-1.

* Thu Oct 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Add symlink /usr/lib/qt-3.0.0 -> /usr/lib/qt3 and set QTDIR to the
  symlink, allowing to update to 3.0.1 without breaking rpath'ed binaries

* Tue Oct 16 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final
- fix some minor specfile bugs
- Modularize some more (image format plugins)
- Build codecs

* Tue Sep 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta5.1
- beta5
- Share more code between qt-x11 and qt-embedded builds

* Wed Aug 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta4.1
- beta4
- build the Motif style directly into Qt rather than as a plugin - Qt should
  always have at least one style...
- replace the designer3 symlink with a shell script that sets QTDIR correctly
  before launching designer
- Add desktop file for designer

* Mon Aug  6 2001 Tim Powers <timp@redhat.com> 3.0.0-0.beta3.4
- explicitly include qm2ts, qmake, qtconfig in the devel package file list to avoid dangling symlinks

* Thu Aug  2 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta3.3
- Try yet another workaround for buildsystem breakages

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add another ugly workaround for build system problems, this should finally
  get rid of the dangling symlinks

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta3.2
- Rephrase parts of the spec file, hopefully pleasing the build system

* Sun Jul 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta3.1
- beta3
- Fix dangling symlinks

* Sun Jun 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta1.2
- Fix up QSQL Postgres classes for Postgres 7.1.x
- Fix various bugs:
  - QtMultilineEdit and QtTableView should actually compile
  - Link libqsqlpsql with libpq
  - Don't link the base library with libmysqlclient, linking the MySQL
    module with it is sufficient
- Add missing const qualifier
- move the SQL drivers to separate packages to avoid dependencies
- build and install designer plugins - converting glade files to Qt is fun. ;)
- handle RPM_OPT_FLAGS

* Tue May 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.beta1.1
- 3.0 beta 1

* Wed May 16 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20010516.1
- Update, remove conflicts with Qt 2.x

* Mon May 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20010514.1
- Initial build of 3.0 branch

* Fri Apr 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.3.0-6
- Fix crashes on ia64, Patch from Bill Nottingham <notting@redhat.com>
- Allow building qt-nox

* Fri Apr 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.3.0-5
- Make sure uic and designer use the libqui from the source tree, not
  a previously installed one.
  Linking uic-x11 against libqui-embedded is definitely not a feature. ;)
- The qclipboard fix is needed for qt-x11 only, don't apply it if we're
  building qt-embedded

* Sat Apr 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Handle LPRng specific constructs in printcap, Bug #35937

* Sun Mar 25 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add qfont patch from Trolltech

* Tue Mar 13 2001 Harald Hoyer <harald@redhat.de>
- added patch for '@euro' language settings

* Tue Mar  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.0 final
- BuildRequires XFree86-devel >= 4.0.2 (#30486)

* Mon Feb 26 2001 Than Ngo <than@redhat.com>
- fix check_env function, so that qt does not crash if QT_XFT is not set
- fix symlinks

* Mon Feb 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.0b1
- Add a patch to qpsprinter that handles TrueType fonts even if they come from xfs

* Tue Feb 13 2001 Preston Brown <pbrown@redhat.com>
- japanese input and clipboard fixes applied.  Changes have been sent upstream by patch authors.

* Fri Feb  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with new Mesa to get rid of pthreads linkage
- Add Xft fix from KDE CVS

* Wed Feb  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add printing bugfix patch from Trolltech

* Sat Feb  3 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2.4
- Qt Embedded: Add QVfb and VNC support

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't segfault when running Qt/Embedded applications as root
- Improve the Qt/Embedded sparc patch so we don't need the specfile hacks
  anymore
- Fix a bug in QPrintDialog (causing KDE Bug #18608)

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- bzip2 source to save space
- Qt/Embedded 2.2.3
- Fix qte build on sparc

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Run ldconfig in %%post and %%postun for qt-Xt

* Sun Dec 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Build with the Xrender extension
  (Patch from Keith Packard <keithp@keithp.com>)

* Wed Dec 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2.3

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to fix permissions on doc dir
- Don't exclude ia64 anymore

* Fri Nov 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up uic (Patch from trolltech) 

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Build qt-embedded
  changes to base: fix build, fix ISO C99 compliance, fix 64bit support

* Mon Nov 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2.2

* Tue Oct 24 2000 Than Ngo <than@redhat.com>
- call ldconfig for updating (Bug #19687)
- added patch from Trolltech, thanks to Rainer <rms@trolltech.com>

* Wed Oct 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing msg2qm, msgmerge, qconfig tools (Bug #18997), introduced
  by broken Makefiles in base
- fix up %%install so it works both with old-style and new-style fileutils
  (fileutils <= 4.0z don't know about -L)

* Fri Oct 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Disable exception handling; this speeds up KDE 2.x and reduces its
  memory footprint by 20 MB.

* Tue Oct 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- dereference symlinks in include

* Sun Oct  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix -devel
- update to the new version of 2.2.1 on trolltech.com; the initial tarball
  contained broken docs

* Thu Oct  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2.1

* Mon Sep 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing uic

* Thu Sep 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move Qt designer to a different source RPM to get rid of a
  circular dependency (kdelibs2->qt, qt->kdelibs2)
- Enable MNG support
- Don't compile (just include) examples and tutorials
- move the static libraries to a separate package (qt-static).
  They're HUGE, and most people won't ever need them.
- clean up spec file
- fix up dependencies (-devel requires base, -static requires devel,
  Xt requires base)
- add BuildRequires line

* Tue Sep 12 2000 Than Ngo <than@redhat.com>
- update release 2.2.0
- changed copyright to GPL
- added missing static libraries
- made symbolic link for designer to load the help files correct
- made designer and designer-kde2 as sub packages
- added missing templates for designer
- remove jakub patch, since the release 2.2.0 already 
  contains this patch.
- fixed qt again to compile with gcc-2.96
- use make -j for building

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Work around compiler bugs (Patch from Jakub)
- Use relative symlinks (Bug #16750)

* Mon Aug 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- beta2

* Mon Aug 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new qt-copy from KDE2 CVS

* Wed Aug 9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- official beta 1

* Thu Aug 3 2000 Than Ngo <than@redhat.de>
- rebuilt against the libpng-1.0.8

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild (so we have it on all arches)

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move man pages to a more reasonable place (this fixes Bug #14126)
- exclude ia64 for now (compiler problems!!!)

* Mon Jul 24 2000 Harald Hoyer <harald@redhat.de>
- modified connect patch to fit qt 2.2.0 beta.

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current qt-copy; this is now a qt 2.2.0 beta.

* Mon Jul 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current qt-copy in kde CVS, required

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jul 11 2000 Harald Hoyer <harald@redhat.de>
- made patch smaller and binary compatible when recompiled with 6.2
- modified connect and moc to cope with the new g++ class layout

* Sun Jul 09 2000 Than Ngo <than@redhat.de>
- rebuilt qt with gcc-2.96-34

* Fri Jul 07 2000 Than Ngo <than@redhat.de>
- rebuilt qt with c++ 2.96

* Mon Jul  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix dependancies

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use egcs++ for now ** FIXME

* Wed Jun 28 2000 Preston Brown <pbrown@redhat.com>
- fix up qt.sh

* Sun Jun 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Build in jpeg and threading support
- Fix a bug in clipboard pasting code

* Wed Jun 07 2000 Preston Brown <pbrown@redhat.com>
- fix qt.{sh,csh}
- use new rpm macro paths
- package man pages

* Fri Jun  2 2000 Bill Nottingham <notting@redhat.com>
- build without optimization on ia64

* Mon May 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1.1

* Thu May 18 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- recompile with correct libstdc++

* Thu Apr 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1.0 final

* Wed Apr  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- beta4
- depend on libGL.so.1 rather than Mesa - XFree86 4.0 provides that
  lib, too

* Wed Mar 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- beta3

* Tue Mar  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- beta2
- fix compilation of the NSPlugin add-on

* Fri Mar  3 2000 Bill Nottingham <notting@redhat.com>
- fix %postun script

* Fri Feb 18 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- beta1
- get rid of qt-ImageIO, the functionality is now in the main Qt library
- remove qt-Network, the functionality is now in the main Qt library
- add changes-2.1.0 to %doc

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- no refcount check on postun script, we want it to happen even on upgrades

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, should fix QWhatsThisButton
- remove executable permissions from *.pro files

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- strip binaries in examples, tutorial

* Mon Jan 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot - should fix the hotkey bug
- Fix up the Makefiles so it compiles

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot - we need those QVariant fixes

* Thu Jan 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- switch from glxMesa to Mesa for the GL addon

* Wed Jan 5 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix up dependencies
- new snapshot

* Mon Jan 3 2000 Ngo Than <than@redhat.de>
- new snapshot for Red Hat Linux 6.2
- increase version number

* Mon Dec 20 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- handle RPM_OPT_FLAGS

* Mon Dec 13 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- -GL requires libGL.so.1 instead of Mesa (might as well be glxMesa
  or some commercial OpenGL)
- -GL BuildPrereqs /usr/X11R6/include/GL/gl.h instead of Mesa-devel
  (might as well be glxMesa or some commercial OpenGL)

* Sun Dec 05 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current RSYNC version
- remove compilation patch - it finally works out of the box

* Wed Oct 27 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current CVS snapshot
- build extensions
- add patch to fix QNetwork compilation

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- current CVS snapshot
- fix compilation with gcc 2.95.x
- use install -c rather than just install to make BSD install happy

* Mon Oct 11 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.1.0 snapshot (for KDE2)
- Fix typo in spec

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- don't ship tutorial or example binaries

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- substitution in tutorial and examples so that dependencies are correct and
  they can be successfully rebuilt.
- switched to completely using QTDIR.  trying to coexist with links into
  /usr/{include,lib} and still compile with qt 1.x is very hard for
  configure scripts to cope with.

* Thu Aug 19 1999 Preston Brown <pbrown@redhat.com>
- implemented QTDIR compatibility.

* Tue Jul 20 1999 Preston Brown <pbrown@redhat.com>
- qt 2.0.1 packaged.

* Wed Jul 14 1999 Preston Brown <pbrown@redhat.com>
- Qt 2.00 packaged.
- examples, html documentation, tutorial moved to /usr/doc

* Sat Apr 17 1999 Preston Brown <pbrown@redhat.com>
- static library supplied in dev package.

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- turn on internal GIF reading support

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Mar 15 1999 Preston Brown <pbrown@redhat.com>
- upgrade to qt 1.44.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- moved includes to /usr/include/qt

* Mon Jan 04 1999 Preston Brown <pbrown@redhat.com>
- made setup phase silent.

* Fri Dec 04 1998 Preston Brown <pbrown@redhat.com>
- upgraded to qt 1.42, released today.

* Tue Dec 01 1998 Preston Brown <pbrown@redhat.com>
- took Arnts RPM and made some minor changes for Red Hat.
